# GimpUi.ProcedureDialog.get_drawable_preview

    @accepts(GimpUi.ProcedureDialog, unicode, Gimp.Drawable)
    @returns(Gtk.Widget)
    def get_drawable_preview(self, preview_id, drawable):
        # Python wrapper for gimp_procedure_dialog_get_drawable_preview()

Gets or creates a new GimpUi.DrawablePreview for drawable. If a widget with the preview_id has already been created for this procedure, it will be returned instead.

The preview_id ID can later be used together with property names to be packed in other containers or inside self itself.

self

  the GimpUi.ProcedureDialog.

preview_id

  the ID of GimpUi.DrawablePreview.

drawable

  the Gimp.Drawable.

Returns